Quando si ha un errore del tipo
Questa applicazione annunciata non verrà installata perché potrebbe essere non affidabile. Rivolgersi all'amministratore di sistema per modificare l'opzione di installazione del package in quella base.

o in inglese
the advertised application will not be installed because it might be unsafe. Contact your administrator to change the installation user interface option of the package to basic

Il problema sembra essere l'impossibilità di disinstallare una versione precedente.
Teoricamente eseguendo il programma già installato dovrebbe partire la nuova installazione.
Se così non fosse la soluzione (che ha funzionato nel mio caso) è di andare, da linea di comando, nella cartella in cui c'è il setup del nuovo pacchetto e digitare:

msiexec /qb /I nomePacchettoMsi.msi
Potrebbe interessarti anche: